Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicComboBoxUI.KeyHandler

    java.lang.Object
      |
      +--java.awt.event.KeyAdapter
            |
            +--javax.swing.plaf.basic.BasicComboBoxUI.KeyHandler

All Implemented Interfaces:
  EventListener, KeyListener

Enclosing class:
  BasicComboBoxUI

public class BasicComboBoxUI.KeyHandler
extends KeyAdapter

This listener checks to see if the key event isn't a navigation key. If it finds a key event that wasn't a navigation key it dispatches it to JComboBox.selectWithKeyChar() so that it can do type-ahead. This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of .

Constructor Summary
`BasicComboBoxUI.KeyHandler()`

Method Summary
`void` | `keyPressed(KeyEvent e)` Invoked when a key has been pressed.

Methods inherited from class java.awt.event.KeyAdapter
`keyReleased, keyTyped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicComboBoxUI.KeyHandler

    public BasicComboBoxUI.KeyHandler()

Method Detail

### keyPressed

    public void keyPressed(KeyEvent e)

  Description copied from class: `KeyAdapter`
  Invoked when a key has been pressed.
  Overrides:
    `keyPressed` in class `KeyAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.